%define qtdir /usr/lib/qt3
%define objprelink 1

Name: kwintv
Version: 0.8.11
Release: alt7

Group: Video
Summary: kWinTV - KDE Video4Linux Stream Capture Viewer
Url: http://www.staikos.on.ca/~staikos/kwintv/
License: GPL

PreReq: /usr/sbin/chkfontpath

%set_autoconf_version 2.13
%set_automake_version 1.4
%undefine __libtoolize

Source: http://www.staikos.on.ca/~staikos/kwintv/%version/%name-%version.tar.bz2
Source1: kwintv-kv4lsetup.pam

Patch0: %name-createrc.patch
Patch1: kwintv-0.8.11-dev.patch
Patch2: kwintv-0.8.11.diff
Patch3: kwintv-0.8.11-kde3-patches
Patch4: kwintv-0.8.11-lkfile.patch
Patch5: kwintv-0.8.11-fix1.patch
Patch6: kwintv-0.8.11-fix2.patch

# Automatically added by buildreq on Thu Aug 29 2002
#BuildRequires: XFree86-devel XFree86-libs XFree86-utils freetype2 gcc-c++ kdelibs-devel libarts-devel libcups libfam-devel libjpeg-devel liblcms libmng libpng-devel libqt3-devel libssl libstdc++-devel zlib-devel

BuildRequires: XFree86-devel XFree86-libs XFree86-utils freetype2 gcc-c++
BuildRequires: kdelibs-devel libarts-devel libcups libfam-devel libjpeg-devel
BuildRequires: liblcms libmng libpng-devel libqt3-devel libssl libstdc++-devel zlib-devel
BuildRequires: rpm-build >= 4.0.4-alt10, automake_1.4, autoconf_2.13, 
%if %objprelink
BuildRequires: objprelink
%endif

%description
KWinTV allows you to watch TV in a window on your PC screen.
It has more or less the same abilities as xtvscreen which is included
in the bttv-driver package, but it is is based on Qt and integrated
in KDE.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
rm -Rf %name-%version/%name/screensaver
find . -type f -name \*.cpp -exec subst 's/^.*setFontPropagation(.*$//g' {} \;
find . -type f -name \*.cpp -exec subst 's/^.*setPalettePropagation(.*$//g' {} \;
find . -type f -name \*.cpp -exec subst 's/^.*setCharSet(.*$//g' {} \;
find . -type f -name \*.cpp -exec subst 's/^.*setMidLineWidth(.*$//g' {} \;
find . -type f -name \*.cpp -exec subst 's/^.*QFrame\:\:setMargin(.*$//g' {} \;
find . -type f -name \*.cpp -exec subst 's/^.*setFrameStyle(.*$//g' {} \;
find . -type f -name \*.cpp -exec subst 's/^.*setLineWidth(.*$//g' {} \;

%build
export KDEDIR=%prefix
export QTDIR=%qtdir
export KDECONFIG=/usr/share/config/kde-config
export kde_libraries=%_libdir
#%%add_optflags -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT

#aclocal
#automake --foreign --add-missing
#autoconf

%configure  --disable-rpath \
	    --enable-shared \
	    --disable-static \
	    --program-transform-name="" \
	    --with-xinerama \
	    --with-xv \
	    --enable-mixer \
	    --enable-lirc \
	    --enable-lircd

%if %objprelink
%make CXX=g++prelink CFLAGS="%optflags"  CXXFLAGS="%optflags"
%else
%make CFLAGS="%optflags"  CXXFLAGS="%optflags"
%endif

%install
mkdir -p %buildroot/%_sbindir
mkdir -p %buildroot/%_sysconfdir/pam.d
mkdir -p %buildroot/%_sysconfdir/security/console.apps
mkdir -p %buildroot/%_datadir/doc/HTML/en/kwintv
mkdir -p %buildroot/%_datadir/fonts/default/kwintv
%makeinstall R=%buildroot

install -m 0644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kv4lsetup
mv %buildroot/%_bindir/kv4lsetup %buildroot/%_sbindir
ln -s consolehelper %buildroot/%_bindir/kv4lsetup
cat >%buildroot/%_sysconfdir/security/console.apps/kv4lsetup <<EOF
USER=root
PROGRAM=/usr/sbin/kv4lsetup
SESSION=true
FALLBACK=false
EOF

cp kwintv/kwintv/doc/en/*.html %buildroot/%_datadir/doc/HTML/en/kwintv
cp kwintv/fonts/led-fixed.pcf %buildroot/usr/X11R6/lib/X11/fonts/kwintv
mkfontdir %buildroot/usr/X11R6/lib/X11/fonts/kwintv

mkdir -p %buildroot/{%_iconsdir/{large,mini},%_menudir}
kdedesktop2mdkmenu.pl kwintv Multimedia/Video %buildroot/%_datadir/applnk/Multimedia/kwintv.desktop %buildroot/%_menudir/kwintv
kdedesktop2mdkmenu.pl kwintv Multimedia/Video %buildroot/%_datadir/applnk/Multimedia/kv4lsetup.desktop %buildroot/%_menudir/kwintv-kv4lsetup
kdedesktop2mdkmenu.pl kwintv .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/KWinTVSaver.desktop %buildroot/%_menudir/kwintv-KWinTVSaver kde

%post
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/kwintv
cd /usr/X11R6/lib/X11/fonts/kwintv
/usr/X11R6/bin/mkfontdir
service xfs reload
%update_menus

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/kwintv
fi
service xfs reload
%clean_menus

%files
%attr(755,root,root) %_bindir/kwintv
%attr(755,root,root) %_sbindir/kv4lsetup
%attr(755,root,root) %_bindir/kv4lsetup
#%attr(755,root,root) %_bindir/kwintvsaver.kss
%config(noreplace) %_sysconfdir/pam.d/kv4lsetup
%config(noreplace) %_sysconfdir/security/console.apps/kv4lsetup
%doc kwintv/ChangeLog kwintv/TODO kwintv/RELEASE-PLAN
%prefix/X11R6/lib/X11/fonts/kwintv
%_datadir/apps/kwintv/pics/*.png
%_datadir/apps/kwintv/toolbar/*.png
%_datadir/apps/kwintv/*.rc
%_datadir/doc/HTML/en/kwintv
%_iconsdir/hicolor/*/*/*.png
%_datadir/applnk/Multimedia/kwintv.desktop
%_datadir/applnk/Multimedia/kv4lsetup.desktop
#%_datadir/applnk/System/ScreenSavers/KWinTVSaver.desktop
%_menudir/kwintv
%_menudir/kwintv-kv4lsetup
#%_menudir/kwintv-KWinTVSaver

%changelog
* Wed Jan 05 2003 Kachalov Anton <mouse@altlinux.ru> 0.8.11-alt7
- bugfix #0002151

* Fri Sep 13 2002 Sergey V Turchin <zerg@altlinux.ru> 0.8.11-alt6
- rebuild with gcc3.2

* Mon Sep 02 2002 Sergey V Turchin <zerg@altlinux.ru> 0.8.11-alt5
- add kv4lsetup & font to package

* Mon Aug 19 2002 Sergey V Turchin <zerg@altlinux.ru> 0.8.11-alt4
- build with kde3

* Fri Jan 11 2002 Rider <rider@altlinux.ru> 0.8.11-alt3
- bugfix (kv4lsetup && BuildRequires)

* Tue Jan 08 2002 Rider <rider@altlinux.ru> 0.8.11-alt2
- fix config file creation crash
- removed screensaver & kv4lsetup

* Tue Jan 08 2002 Rider <rider@altlinux.ru> 0.8.11-alt1
- 0.8.11

* Thu Jan 03 2002 Rider <rider@altlinux.ru> 0.8.10-alt1
- 0.8.10

* Fri Oct 12 2001 Sergey V Turchin <zerg@altlinux.ru> 0.8.9-alt2
- only rebuild with new libpng

* Fri Aug 24 2001 Rider <rider@altlinux.ru> 0.8.8-alt1
- 0.8.8

* Wed Feb 14 2001 AEN <aen@logic.ru>
- %post fixed

* Mon Dec 11 2000 AEN <aen@logic.ru>
- build for RE
- gcc296 patch

* Tue Oct 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-2mdk
- Re-add dpms support
- Remove old patch

* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- Release 0.8.0
- Clean build against kde1-compat

* Tue Sep 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.99-1mdk
- new release
- fix build against KDE2
- fix build when no bttv device is present
- fix for build against XFree86-4
- fix group
- add menu entry and icons
- fix buildroot
- get rid of find in %%files
- fix %%post and %%preun scripts
- add some docs
- add missing icons
- remove ownership on system wide directories (%_datadir and the like)

* Thu Aug 31 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- initial SPEC file for Mandrake.
- Please test! I do not have such a device!!!
